textproc/p5-Text-WagnerFischer - The NetBSD Packages Collection

Perl module for configurable edit distance calculations

This module implements the Wagner-Fischer dynamic programming
technique, used here to calculate the edit distance of two strings.
The edit distance is a measure of the degree of proximity between two
strings, based on "edits": the operations of substitutions, deletions
or insertions needed to transform the string into the other one (and
vice versa).  The module is designed to be easily extensible by
functioning as a base class for other modules.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 8.0earmv7hfp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 8.0earmv7hfp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 8.0i386p5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 8.0i386p5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 8.0powerpcp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 8.0powerpcp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 8.0powerpcp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 8.0powerpcp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 8.0x86_64p5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 8.0x86_64p5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0aarch64p5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0aarch64p5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0aarch64p5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0alphap5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0alphap5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0alphap5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0earmp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0earmp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0earmp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0earmv6hfp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0earmv6hfp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0earmv6hfp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0earmv7hfp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0earmv7hfp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0earmv7hfp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0earmv7hfp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0i386p5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0i386p5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0mips64ebp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0mips64ebp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0mips64ebp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0mips64ebp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0mips64ebp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0mipselp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0mipselp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0mipselp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0mipselp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0powerpcp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0powerpcp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0powerpcp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0powerpcp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0sh3elp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0sh3elp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0sh3elp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0sh3elp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0sparc64p5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0sparc64p5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0sparc64p5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0sparcp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0sparcp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0sparcp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0sparcp5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0sparcp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0vaxp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0vaxp5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0x86_64p5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0x86_64p5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0x86_64p5-Text-WagnerFischer-0.04nb10.tgz
NetBSD 9.0x86_64p5-Text-WagnerFischer-0.04nb11.tgz
NetBSD 9.0x86_64p5-Text-WagnerFischer-0.04nb11.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.